ARCH_PHYS_WC_ADD(9)

NAME
arch_phys_wc_add - add a WC MTRR and handle errors if PAT is unavailable

SYNOPSIS

int arch_phys_wc_add(unsigned long base, unsigned long size);

ARGUMENTS

base
    Physical base address

size
    Size of region

DESCRIPTION

If PAT is available, this does nothing. If PAT is unavailable, it attempts to add a WC MTRR covering size bytes starting at base and logs an error if this fails.

Drivers must store the return value to pass to mtrr_del_wc_if_needed, but drivers should not try to interpret that return value.

COPYRIGHT